## org.apache.lucene.queryParser.core.util
Class UnescapedCharSequence

    java.lang.Object
      org.apache.lucene.queryParser.core.util.UnescapedCharSequence

All Implemented Interfaces:
  java.lang.CharSequence

    public final class UnescapedCharSequence

extends java.lang.Object
implements java.lang.CharSequence

CharsSequence with escaped chars information.

Constructor Summary
`UnescapedCharSequence(char[] chars, boolean[] wasEscaped, int offset, int length)` Create a escaped CharSequence
`UnescapedCharSequence(java.lang.CharSequence text)` Create a non-escaped CharSequence

Method Summary
`char` `charAt(int index)`
`int` `length()`
`java.lang.CharSequence` `subSequence(int start, int end)`
`static java.lang.CharSequence` `toLowerCase(java.lang.CharSequence text)`
`java.lang.String` `toString()`
`java.lang.String` `toStringEscaped()` Return a escaped String
`java.lang.String` `toStringEscaped(char[] enabledChars)` Return a escaped String
`static boolean` `wasEscaped(java.lang.CharSequence text, int index)`
`boolean` `wasEscaped(int index)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnescapedCharSequence

    public UnescapedCharSequence(char[] chars,
                                 boolean[] wasEscaped,
                                 int offset,
                                 int length)

  Create a escaped CharSequence

  Parameters:
    `chars` -
    `wasEscaped` -
    `offset` -
    `length` -

### UnescapedCharSequence

    public UnescapedCharSequence(java.lang.CharSequence text)

  Create a non-escaped CharSequence

  Parameters:
    `text` -

Method Detail

### charAt

    public char charAt(int index)

  Specified by:
    `charAt` in interface `java.lang.CharSequence`

### length

    public int length()

  Specified by:
    `length` in interface `java.lang.CharSequence`

### subSequence

    public java.lang.CharSequence subSequence(int start,
                                              int end)

  Specified by:
    `subSequence` in interface `java.lang.CharSequence`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `java.lang.CharSequence`
  Overrides:
    `toString` in class `java.lang.Object`

### toStringEscaped

    public java.lang.String toStringEscaped()

  Return a escaped String

  Returns:
    a escaped String

### toStringEscaped

    public java.lang.String toStringEscaped(char[] enabledChars)

  Return a escaped String

  Parameters:
    `enabledChars` - - array of chars to be escaped
  Returns:
    a escaped String

### wasEscaped

    public boolean wasEscaped(int index)

### wasEscaped

    public static final boolean wasEscaped(java.lang.CharSequence text,
                                           int index)

### toLowerCase

    public static java.lang.CharSequence toLowerCase(java.lang.CharSequence text)

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.